Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoNormalGenerator< T > Class Template Reference

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles. More...

`#include <eoRndGenerators.h>`

Inheritance diagram for eoNormalGenerator< T >:

List of all members.

## Public Member Functions
| eoNormalGenerator (T _stdev=T(1.0), eoRng &_rng=rng)
T | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
T | stdev
eoRng & | normal

## Detailed Description

### template<class T = double>
class eoNormalGenerator< T >

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles.

The user can supply a standard deviation which defaults to 1.

Definition at line 120 of file eoRndGenerators.h.

The documentation for this class was generated from the following file:

- eoRndGenerators.h